%global srcname etcd3

Summary:        Python client for the etcd API v3
Name:           python-%{srcname}
Version:        0.12.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/kragniz/python-etcd3
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  python3-devel %{py3_dist setuptools}
BuildArch:      noarch

%description
Python client for the etcd API v3, supported under python 2.7, 3.4 and 3.5.

%package -n python3-%{srcname}
Summary:        Python client for the etcd API v3

%description -n python%{python3_pkgversion}-%{srcname}
Python client for the etcd API v3, supported under python 2.7, 3.4 and 3.5.

%prep
%autosetup -p1 -n %{name}-%{version}
sed -e 's|grpcio==.*|grpcio==1.26.0|' \
    -e 's|tenacity==.*|tenacity==6.0.0|' -i requirements/base.txt

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Shuo Wang <abushwang@tencent.com> - 0.12.0-1
- initial build
